# $Id: bluefish.spec,v 1.6 2003/02/18 17:43:06 dude Exp $

%define	desktop_vendor	freshrpms

# Comment out when building a release
#define	date		2003-01-13
#define	reldate		20030113

Summary: A GTK2 web development application for experienced users.
Name: bluefish
Version: 0.9
Release: fr1%{?reldate:.%{reldate}}
Group: Development/Tools
License: GPL
URL: http://bluefish.openoffice.nl/
%if %{?date:1}%{!?date:0}
Source: http://pkedu.fbt.eitn.wau.nl/~olivier/snapshots/bluefish-gtk2port-%{date}.tgz
%else
Source: http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2
%endif
Patch: bluefish-0.9-makefile.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= 2.0.6
BuildRequires: gtk2-devel >= 2.0.6, pcre-devel >= 3.9, desktop-file-utils

%description
Bluefish is a GTK+ HTML editor for the experienced web designer or
programmer. It is not finished yet, but already a very powerful site
creating environment. Bluefish has extended support for programming
dynamic and interactive websites, there is for example a lot of PHP
support.

%prep
%if %{?date:1}%{!?date:0}
%setup -q -n %{name}-gtk2
%else
%setup -q
%endif
%patch -p1 -b .makefile

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
make install DESTDIR=%{buildroot}
%find_lang %{name}

desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Base                                   \
  --add-category Application                                      \
  --add-category Development                                      \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING PORTING
%{_bindir}/bluefish
%{_datadir}/bluefish
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon.png

%changelog
* Tue Feb 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.
- Added Makefile patch to support DESTDIR.

* Wed Jan 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest snapshot which should be more stable.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.
- Major spec file updates based on the one from Matthias Haase.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Nov 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.
- Spec file simplifications since the build is now cleaner :-)

* Wed May  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat 7.1.
- Added a GNOME desktop entry.
- Compiled with kgcc and reported the problems encountered with gcc 2.96.

* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig

* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)

* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5

* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up

